
### Critic Markup

Here is some {--*incorrect*--} Markdown.  I am adding this{++ here++}.  Here is some more {--text
 that I am removing--}text.  And here is even more {++text that I
 am ++}adding.{~~

~>  ~~}Paragraph was deleted and replaced with some spaces.{~~  ~>

~~}Spaces were removed and a paragraph was added.

And here is a comment on {==some
 text==}{>>This works quite well. I just wanted to comment on it.<<}. Substitutions {~~is~>are~~} great!

General block handling.

{--

* test remove
* test remove
* test remove
    * test remove
* test remove

--}

{++

* test add
* test add
* test add
    * test add
* test add

++}

### Details

#### Nesteed

???+ note "Open styled details"

    ??? danger "Nested details!"
        And more content again.

#### Base

??? success
    Content.

??? warning classes
    Content.

### Emoji

:smile: :heart: :thumbsup:

### Highlight

`#!php-inline $a = array("foo" => 0, "bar" => 1);`

`#!golang-inline var i string`

Here is some code: `#!py3 import pymdownx; pymdownx.__version__`.

The mock shebang will be treated like text here: ` #!js var test = 0; `.
The mock shebang will be treated like text here: ` #!golang var i int`.

```golang
package main

func main() {}
```

### Keys

++ctrl+alt+delete++

### Mark

==mark me==

==smart==mark==

### Tabbed

=== "Tab 1"
    Markdown **content**.

    Multiple paragraphs.

=== "Tab 2"
    More Markdown **content**.

    - list item a
    - list item b

===! "Tab A"
    Different tab set.

=== "Tab B"
    ```
    More content.
    ```

### Task list

Task List

- [X] item 1
    * [X] item A
    * [ ] item B
        more text
        + [x] item a
        + [ ] item b
        + [x] item c
    * [X] item C
- [ ] item 2
- [ ] item 3

### Admonitions

Все примеры смотрите [здесь](https://squidfunk.github.io/mkdocs-material/reference/admonitions/#supported-types)

!!! note
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod
    nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor
    massa, nec semper lorem quam in massa.

!!! info
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod
    nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor
    massa, nec semper lorem quam in massa.

!!! tip
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! danger
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! bug
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! example
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! success
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! warning
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.

!!! question
    "SaneHeaders" It is also recommended to use SaneHeaders when using MagicLink to avoid problems when specifying a repository bug (using the syntax #1) at the start of a line. Python Markdown, by default, will treat #1 as a header if detected at the start of a line without SaneHeaders.


!!! info inline end

    Lorem ipsum dolor sit amet, consectetur
    adipiscing elit. Nulla et euismod nulla.
    Curabitur feugiat, tortor non consequat
    finibus, justo purus auctor massa, nec
    semper lorem quam in massa.

!!! info inline

    Lorem ipsum dolor sit amet, consectetur
    adipiscing elit. Nulla et euismod nulla.
    Curabitur feugiat, tortor non consequat
    finibus, justo purus auctor massa, nec
    semper lorem quam in massa.
